terminus.h File Reference

A source or target for messages. More...

`#include <proton/import_export.h>`
`#include <proton/type_compat.h>`
`#include <proton/codec.h>`
`#include <stddef.h>`
Include dependency graph for terminus.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct pn_terminus_t | pn_terminus_t
| Encapsulates the endpoint state associated with an AMQP Terminus. More...

## Enumerations

enum | pn_terminus_type_t { PN_UNSPECIFIED , PN_SOURCE , PN_TARGET , PN_COORDINATOR }
| Type of an AMQP terminus. More...
enum | pn_durability_t { PN_NONDURABLE , PN_CONFIGURATION , PN_DELIVERIES }
| Durability mode of an AMQP terminus. More...
enum | pn_expiry_policy_t { PN_EXPIRE_WITH_LINK , PN_EXPIRE_WITH_SESSION , PN_EXPIRE_WITH_CONNECTION , PN_EXPIRE_NEVER }
| Expiry policy of an AMQP terminus. More...
enum | pn_distribution_mode_t { PN_DIST_MODE_UNSPECIFIED , PN_DIST_MODE_COPY , PN_DIST_MODE_MOVE }
| Distribution mode of an AMQP terminus. More...

## Functions

pn_terminus_type_t | pn_terminus_get_type (pn_terminus_t *terminus)
| Get the type of a terminus object. More...
int | pn_terminus_set_type (pn_terminus_t *terminus, pn_terminus_type_t type)
| Set the type of a terminus object. More...
const char * | pn_terminus_get_address (pn_terminus_t *terminus)
| Get the address of a terminus object. More...
int | pn_terminus_set_address (pn_terminus_t *terminus, const char *address)
| Set the address of a terminus object. More...
pn_distribution_mode_t | pn_terminus_get_distribution_mode (const pn_terminus_t *terminus)
| Get the distribution mode of a terminus object. More...
int | pn_terminus_set_distribution_mode (pn_terminus_t *terminus, pn_distribution_mode_t mode)
| Set the distribution mode of a terminus object. More...
pn_durability_t | pn_terminus_get_durability (pn_terminus_t *terminus)
| Get the durability mode of a terminus object. More...
int | pn_terminus_set_durability (pn_terminus_t *terminus, pn_durability_t durability)
| Set the durability mode of a terminus object. More...
pn_expiry_policy_t | pn_terminus_get_expiry_policy (pn_terminus_t *terminus)
| Get the expiry policy of a terminus object. More...
int | pn_terminus_set_expiry_policy (pn_terminus_t *terminus, pn_expiry_policy_t policy)
| Set the expiry policy of a terminus object. More...
pn_seconds_t | pn_terminus_get_timeout (pn_terminus_t *terminus)
| Get the timeout of a terminus object. More...
int | pn_terminus_set_timeout (pn_terminus_t *terminus, pn_seconds_t timeout)
| Set the timeout of a terminus object. More...
bool | pn_terminus_is_dynamic (pn_terminus_t *terminus)
| Get the dynamic flag for a terminus object. More...
int | pn_terminus_set_dynamic (pn_terminus_t *terminus, bool dynamic)
| Set the dynamic flag for a terminus object. More...
pn_data_t * | pn_terminus_properties (pn_terminus_t *terminus)
| Access/modify the AMQP properties data for a terminus object. More...
pn_data_t * | pn_terminus_capabilities (pn_terminus_t *terminus)
| Access/modify the AMQP capabilities data for a terminus object. More...
pn_data_t * | pn_terminus_outcomes (pn_terminus_t *terminus)
| Access/modify the AMQP outcomes for a terminus object. More...
pn_data_t * | pn_terminus_filter (pn_terminus_t *terminus)
| Access/modify the AMQP filter set for a terminus object. More...
int | pn_terminus_copy (pn_terminus_t *terminus, pn_terminus_t *src)
| Copy a terminus object. More...

## Detailed Description

A source or target for messages.